# Phase 6: reset / win event

gamerule keepInventory true
gamerule doFireTick false
gamerule doMobLoot false
gamerule randomTickSpeed 0
spawnpoint @a 0 66 0
tp @a 0 66.3 0
gamemode adventure @a[gamemode=!creative]
scoreboard players set inGame gameData 0
scoreboard players set walls gameData 0
scoreboard players remove roundsLeft gameData 1
execute store result bossbar minecraft:main value run scoreboard players get roundsLeft gameData
effect clear @a
scoreboard players set game gameData 0
scoreboard players set @a death 0
fill -17 65 17 17 65 -17 barrier replace air
setblock 0 65 0 gray_concrete
scoreboard players set floor gameData 1
tag @a[tag=winner] remove winner
team modify players friendlyFire false
kill @e[type=item]
kill @e[type=arrow]
kill @e[type=trident]
kill @e[type=spectral_arrow]
kill @e[type=potion]
experience set @s 100 levels
experience set @s 740 points
experience set @s 0 levels
scoreboard players set time gameData 0
clear @a
scoreboard players set roundEnd gameData 0
weather clear
effect give @a instant_health 1 4
gamerule naturalRegeneration true
tp @e[type=slime] 0 -1000 0
kill @e[type=slime]
kill @e[type=armor_stand,tag=santas_standoff.present]
kill @e[type=armor_stand,tag=present_hunt.present]
execute as @e[type=area_effect_cloud] if data entity @s Potion run kill @s
kill @e[type=armor_stand,tag=invasion]
tp @e[tag=meat_lovers] ~ ~-1000 ~
tp @e[type=zombie,tag=meat_lovers.alien] ~ ~-1000 ~
tp @e[type=villager,tag=meat_lovers.vil] ~ ~-1000 ~
execute at @e[type=area_effect_cloud,tag=icy_archers.wall] run fill ~ ~4 ~ ~ ~10 ~ air replace barrier
execute at @e[type=area_effect_cloud,tag=icy_archers.ice] run fill ~ ~ ~ ~ ~ ~ air replace black_stained_glass
kill @e[type=area_effect_cloud,tag=icy_archers.ice]
setblock 0 66 0 air
setblock 0 67 0 air
setblock 0 67 28 air
setblock -24 67 9 air
setblock 3 68 -23 air
setblock 38 76 -2 air
clone 1028 101 -30 1030 106 -27 15 71 6
tag @a remove snowy_business.snowman
tag @a remove snowy_business.lead
tp @e[type=snow_golem,tag=snowy_business.golem] 0 -1000 0
execute at @e[type=area_effect_cloud,tag=floor] run setblock ~ ~-1 ~ light_blue_terracotta
execute at @e[type=area_effect_cloud,tag=floor] run setblock ~1011 91 ~-13 bedrock
setblock -10 66 25 spruce_sign[rotation=5]{Text1:'{"text":"Parkour","color":"aqua","bold":true}',Text2:'{"text":"Starts Here","color":"yellow"}',Text3:'{"text":"- = -","color":"white"}',Text4:'{"text":"Good Luck","color":"gray"}'}

execute unless score roundsLeft gameData matches 0 run bossbar set minecraft:main name [{"text":"Rounds Left: ","color":"yellow","bold":true},{"score":{"name":"roundsLeft","objective":"gameData"},"color":"aqua","bold":true},{"text":" || ","color":"white","bold":false},{"text":"Selecting Game","color":"yellow","bold":true}]
execute unless score roundsLeft gameData matches 0 run function other:item_frames/games
execute unless score roundsLeft gameData matches 0 as @a run function other:inventories/load/page0
execute unless score roundsLeft gameData matches 0 run scoreboard players set phase gameData 3

execute if score roundsLeft gameData matches 0 run scoreboard objectives setdisplay sidebar
execute if score roundsLeft gameData matches 0 run bossbar set minecraft:main name [{"text":"Rounds Left: ","color":"yellow","bold":true},{"text":"0","color":"aqua","bold":true},{"text":" || ","color":"white","bold":false},{"text":"Game Finished!","color":"yellow","bold":true}]
execute if score roundsLeft gameData matches 0 run scoreboard players set endTimer gameData 0
execute if score roundsLeft gameData matches 0 run scoreboard players set phase gameData 8

#execute if score roundsLeft gameData matches 0 if score bonusChance const matches 1..3 run scoreboard players set phase gameData 7
#execute if score roundsLeft gameData matches 0 unless score bonusChance const matches 1..3 run scoreboard players set phase gameData 8